Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1
Class BerOctetString

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Object
          org.bouncycastle.sasn1.BerOctetString

All Implemented Interfaces:
  Asn1OctetString

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class BerOctetString

extends Asn1Object
implements Asn1OctetString

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Object
`_baseTag, _contentStream, _tagNumber`

Constructor Summary
`protected` `BerOctetString(int baseTag, java.io.InputStream contentStream)` Deprecated.

Method Summary
`java.io.InputStream` `getOctetStream()` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.Asn1Object
`getRawContentStream, getTagNumber, isConstructed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BerOctetString

    protected BerOctetString(int baseTag,
                             java.io.InputStream contentStream)

  Deprecated.

Method Detail

### getOctetStream

    public java.io.InputStream getOctetStream()

  Deprecated.
  Specified by:
    `getOctetStream` in interface `Asn1OctetString`

Bouncy Castle Cryptography Library 1.45